Consultar destino Pix
curl --request POST \
--url https://api.upag.io/v1/transfers/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>'})
};
fetch('https://api.upag.io/v1/transfers/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/transfers/lookup';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Transferências
Consultar destino Pix
Resolve chave, hash ou beneficiário antes de transferir
POST
https://api.upag.io
/
v1
/
transfers
/
lookup
Consultar destino Pix
curl --request POST \
--url https://api.upag.io/v1/transfers/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>'})
};
fetch('https://api.upag.io/v1/transfers/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/transfers/lookup';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Valida e retorna dados do destino antes de um Pix-out.
Corpo (
Consulta por chave (
Consulta por hash (
Inclui ainda
Endpoint
curl -X POST https://api.upag.io/v1/transfers/lookup \
-H "Authorization: Bearer sk_test_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"type": "key",
"value": "55ce1aae-0d2b-4d76-bc77-294d6407349e"
}'
Corpo (type)
string
required
key — use value com a chave Pix.string
required
hash — use value com o BR Code (copia-e-cola).string
required
beneficiary — use beneficiaryId e beneficiaryAccountId (UUIDs).Resposta
200 OK — formato depende de type no corpo.
Consulta por chave (type: key)
Response
{
"type": "key",
"isBeneficiary": false,
"pixKey": "55ce1aae-0d2b-4d76-bc77-294d6407349e",
"pixKeyType": "random",
"name": "Maria Receiver",
"tradingName": null,
"taxNumber": "11144477735",
"ispb": "00000000",
"bank": "450",
"bankName": "FitBank",
"branch": "0001",
"account": "99999",
"accountDigit": "1",
"accountType": "payment"
}
Consulta por hash (type: hash)
Inclui ainda hash, originalValue, finalValue, dueDate e description do QR.